pub mod unmute{
    use teloxide::Bot;
    use teloxide::requests::Requester;
    use teloxide::types::{ChatId, ChatPermissions, Message, MessageKind};

    pub async fn unmute(
        replied_message: Option<&Message>,
        bot: &Bot,
        chat_id: ChatId
    ) -> Result<String, String>
    {
        if let None = replied_message {
            bot.send_message(
                chat_id,
                "Ответьте на сообщение человека, которого вы хотите замьютить".to_string()
            ).await.unwrap();
            Err("Ответьте на сообщение человека, которого вы хотите замьютить".to_string())
        } else {
            match &replied_message.unwrap().kind {
                MessageKind::Common(message) => {
                    if let None = message.from {
                        bot.send_message(chat_id, "Сообщение не найдено").await.unwrap();
                        Err("Сообщение не найдено".to_string())
                    } else if let Some(user) = &message.from {

                        match bot.restrict_chat_member(
                            chat_id,
                            user.id,
                            ChatPermissions::all()
                        ).await
                        {
                            Ok(_) => {
                                bot.send_message(
                                    chat_id,
                                    format!("C пользователя {} сняли железный зановес", user.first_name)
                                ).await
                                    .unwrap();
                                Ok("Демократия была совершена".to_string())
                            }
                            Err(error) => {
                                bot.send_message(
                                    chat_id,
                                    error.to_string().to_string()
                                ).await
                                    .unwrap();
                                Err(error.to_string())
                            }
                        }
                    } else {
                        bot.send_message(chat_id, "Ошибка номер хуй")
                            .await
                            .unwrap();
                        Err("Ошибка номер хуй".to_string())
                    }
                }
                _ => {
                    Err("тест".to_string())
                }
            }
        }
    }
}